### File

`packages/ecl/components/ecl-mega-menu/models/ecl-mega-menu-item.model.ts`

### Index

###### Properties
Optional children Optional hasChildren Optional hasFeatured Optional id Optional isCurrent Optional isExpanded label

### Properties

children
`children: `Array<EclMegaMenuItem>``
Type : `Array<EclMegaMenuItem>`
Optional

hasChildren
`hasChildren: `boolean``
Type : `boolean`
Optional

hasFeatured
`hasFeatured: `boolean``
Type : `boolean`
Optional

id
`id: `string``
Type : `string`
Optional

isCurrent
`isCurrent: `boolean``
Type : `boolean`
Optional

isExpanded
`isExpanded: `boolean``
Type : `boolean`
Optional

label
`label: `string``
Type : `string`

# results matching ""

# No results matching ""